package ec.multirun;
import ec.util.*;

/**
 * This prints a single column from a a file containing
 * an <code>AnoveDataStorage<code>; you must specify the
 * index of the column.
 * 
 * 
 * @author Gabriel Catalin Balan
 *
 */
public class ColumnExtractorByIndex extends AnovaDataStorageTableShrinker
{
	int column;
	public final String P_COL = "column";  
	
	public double compute(String line)
	{
		String[] tokens = line.split("\t");
		return Double.parseDouble(tokens[column]);
	}
	public void processHeader(String line){}
	public void setup(final ParameterDatabase params, final Parameter base)
	{
		column = params.getInt(base.push(P_COL), null);		
	}
}
