package sim.app.traffic.analysis;
import sim.util.*;
import java.io.*;



/**
 * @author Gabriel Balan
 */

public class IndividualDelayByLength extends TripDelayByLength
{

	public void add(DoubleBag delayBag)
	{
		int n = delayBag.numObjs;
		for(int i=0;i<delayBag.numObjs;i++)
			add(n, delayBag.objs[i]);
	}
	
	public String getValueAxisCaption(){return "Individual Waiting Times";}
	public String getChartTitle(){return "Individual waiting times vs. trip length";}
	


	public IndividualDelayByLength(){super();}
	public IndividualDelayByLength(BufferedReader br)throws IOException{super(br);}
	public IndividualDelayByLength(String[] args)throws FileNotFoundException, IOException{super(args);}
	
	public static void main(String[] args) throws FileNotFoundException, IOException
	{
		new IndividualDelayByLength(args);
	}
}
