package sim.app.traffic.analysis;

import ec.util.Parameter;
import sim.app.traffic.*;
import sim.app.traffic.route.Itinerary;
import sim.util.*;
import sim.app.traffic.grid.*;
/**
 * Debugging car using a fixed (rigged) O-D pair for everybody: 0,0->9,9
 * 
 * @author Gabriel Balan
 */
public class RiggedItineraryFactoryDistributionofIntersectionsCar extends ItineraryFactoryDistributionofIntersectionsCar {

	Intersection source, destination;

	public void setup(ParamSimState state, Parameter base) 
	{
		super.setup(state, base);
		//allocate the histogram data thing
		
		GridCity grid = (GridCity)tsim.roadNet;
		

		source = (Intersection)grid.getNode(0,0);
		destination = (Intersection) grid.getNode(grid.getWidth()-1, grid.getHeight()-1);
	}
	
	public void finish()
	{
		histoCounts[0][0]=histoCounts[histoCounts.length-1][histoCounts[histoCounts.length-1].length-1];
		super.finish();
	}

	public void deploy(TrafficSim tState, Intersection startingPoint, Itinerary itinerary)
	{
		super.deploy(tState, source, tsim.itineraryFactory.getItinerary(source, destination, this));
	}
}
