package sim.app.traffic.analysis.creditdeficit;
import sim.app.traffic.compensation.*;
import sim.app.traffic.*;


/**
 * This is a quick and dirty hack to explore the injection/drainage of credits 
 * in the "economy" produced by General-Sum CREDITS TLCs.
 * 
 * //Normally I should make each intersection compute the defficit (income - compensations)
 * //(until the defficit statistic proves meaningfull, I wont change Intersection)
 * 
 * @author Gabriel Balan
 */
public class DeficitTallyingFixedCompensation extends FixedCompensation 
{
//	public static float totalTollCollected =0 ;
//	public static float totalCompensationPayed = 0;
//	public static float inflation = 0;
	public static TrafficTally inflationTally = new TrafficTally();
	
	public static void resetStats()
	{
//		totalTollCollected =0 ;
//		totalCompensationPayed = 0;
//		inflation = 0;
		inflationTally.reset();
	}

	public void distribute(Intersection inter, float amountCollected) 
	{
		TrafficQueue[] queues = inter.queues;
		float amountPayedInCompensations = 0;
		for(int i=0;i<queues.length;i++)
		{
			if(losersOnly&&inter.winnersMask[i]) continue;
			TrafficQueue q = queues[i];
			amountPayedInCompensations +=  q.compensateFixedAmount(compensation, stoppedOnly);
		}
		float diff = amountPayedInCompensations - amountCollected;
		inflationTally.add(diff);
//		inflation += diff;
//		totalCompensationPayed += amountPayedInCompensations;
//		totalTollCollected += amountCollected;
	}
}
