package sim.app.traffic.car;
import sim.util.*;

/**
 * 
 * Use this to generate cars:<ul>
 * <li>from a discrete distribution 
 * <li>from a predefined sequence
 * <li>based on some metric
 * </ul>
 * 
 *	@author Gabriel Balan
 */
public interface CarGenerator extends Parametrizable 
{
	Car getCar(ParamSimState state);
	void finish();
}
