package sim.app.traffic.compensation;
import sim.app.traffic.*;

/**
 * 
 * @author Gabriel Balan
 */
public class ZeroSumEqualCompensation extends CompensationPolicy implements ZeroSumCompensationPolicy 
{
//////	public static float TOTAL_ERROR = 0;
	public void distribute(Intersection inter, float amount) 
	{
		TrafficQueue[] queues = inter.queues;
		float sum = 0;
		for(int i=0;i<queues.length;i++)
		{
			if(losersOnly&&inter.winnersMask[i]) continue;
			TrafficQueue q = queues[i];
			//TODO set the stats
			sum+= q.inRangeCars.size();
		}
		float share  = amount/sum;
		for(int i=0;i<queues.length;i++)
		{
			if(losersOnly&&inter.winnersMask[i]) continue;
			TrafficQueue q = queues[i];
			q.compensateFixedAmount(share, stoppedOnly);
		}
		
//////		float total = 0;
//////		for(int i=0;i<sum;i++) total+=share;
//////		if(total!=amount) 
//////		{
//////			TOTAL_ERROR +=(amount-total);
//////		}

	}
}
