package sim.app.traffic.info;
import sim.app.traffic.car.*;
import sim.util.*;
import ec.util.*;

/**
 * @author Gabriel Balan
 *
 */
public class CarBagSegmentInfo extends SegmentInfo {
	public static final String P_CB_SEG_INFO = "cb-segment";
	public CarBagWithO1Remove cars;
	//Now instances of this class cannot be reused!
	
	public Parameter defaultBase() {return new Parameter(P_CB_SEG_INFO);}
	public Object simpleClone() 
	{
		try//TODO if I drop carCount or the Bag, replace this with "return this"
		{
			CarBagSegmentInfo newObj = (CarBagSegmentInfo)clone();
			newObj.cars = new CarBagWithO1Remove(CarBagWithO1Remove.SEGMENTINFO_BAG);
			return newObj;
		}catch(CloneNotSupportedException ex){return null;}
	}

	//overide these to use the Bag.
	public void registerOutOfRange(Car c){cars.add(c);}
	public void registerInRange(Car c){}
	
	public void unregister(Car c){cars.remove(c);}
	
	public String toString()
	{
		int count = cars.size();
		return ((count==0)?"":count+""); 
	}	
	public void start(){cars.clear();}
	
	//for portraying/inspecting purposes
	public Bag getCars(){return cars.bag;}
}
