package sim.app.traffic.info;
import sim.app.traffic.car.*;
import ec.util.*;

/**
 * @author Gabriel Balan
 *
 */
public class CarCountSegmentInfo extends SegmentInfo {
	public int carCount, outOfRangeCount;
	//Now instances of this class cannot be reused!
	public static final String P_CC_SEG_INFO = "carcount-segment";	
	public Parameter defaultBase() {return new Parameter(P_CC_SEG_INFO);}
	public Object simpleClone() 
	{
		try
		{
			CarCountSegmentInfo newObj = (CarCountSegmentInfo)clone();
			newObj.carCount = 0;
			newObj.outOfRangeCount=0;
			return newObj;
		}catch(CloneNotSupportedException ex){return null;}
	}
	public void registerOutOfRange(Car c){carCount++;outOfRangeCount++;}
	public void registerInRange(Car c){outOfRangeCount--;}
	public void unregister(Car c){carCount--;}
	public void start(){carCount=0;outOfRangeCount=0;}
	public String toString(){return ((outOfRangeCount==0)?"":outOfRangeCount+"");}

}
