package sim.app.traffic.queuewealth;
import sim.app.traffic.*;
import sim.app.traffic.car.*;

/**
 * This is part of the simple adaptive protocol I want to 
 * beat: the weight (wealth) of a queue is the number of cars in the queue.
 * 
 * @author Gabriel Balan
 */
public class CountingCars extends SumOfCarScores 
{
	//TODO make sure c.contributedTotalWealth is 1.
	public float getQueueWealth(TrafficQueue tq) {return tq.inRangeCars.size();}
	public float getCarScore(Car c){return 1;}

}
