package sim.app.traffic.queuewealth;
import sim.app.traffic.*;
import ec.util.*;
import sim.util.*;
/**
 * @author Gabriel Balan
 *
 */
public class SumOfPowCarWealths extends QueueWealthMetric 
{
	public static final String P_POWER = "power";
	public static final String P_POW_SUM = "pow-sum-wealth-metric";
	double power;
	public void setup(ParamSimState state, Parameter base)
	{
		power = state.parameters.getDoubleWithDefault(base.push(P_POWER), defaultBase().push(P_POWER),1);
	}	
	public Parameter defaultBase(){return null;}
	public float getQueueWealth(TrafficQueue tq) {return tq.getSumOfPowCarWealth(power);}
}
