package sim.app.traffic.route;
import sim.app.traffic.car.*;
import sim.app.traffic.*;
import sim.util.*;
import ec.util.*;
/**
 * @author Gabriel Balan
 *
 */
public abstract class ItineraryFactory implements Parametrizable
{
	protected TrafficSim state;

	public void setup(ParamSimState state, Parameter base)
	{
		this.state = (TrafficSim)state;
	}
	
	public Object simpleClone(){return null;}

	//Intersections have pointers to their IOI wrappers!
	public abstract Itinerary getItinerary(Intersection source, Intersection destination, Car car);
	
}
