package ec.multirun;

/**
 * @author Gabriel Balan
 */
public class HeaderStartsWithMatchColumnExtractor extends HeaderMatchColumnExtractor
{
	public void processHeader(String line)
	{
		String[] tokens = line.split("\t");
		for(int i=0; i<tokens.length; i++)
		{
			String s = tokens[i];
			boolean match = s.startsWith(namePattern);
			if(match) 
			{
				column = i;
				return;		
			}
		}
		throw new RuntimeException("No match for "+namePattern);
	}
}
