package sim.app.traffic.car;
import sim.app.traffic.*;
import sim.app.traffic.route.*;

/**
 * @author Gabriel Balan
 */
public class AllOnRestTripLenBidCar extends Car 
{
	FixedItinerary fItinerary = null;
	public void deploy(TrafficSim tState, Intersection startingPoint, Itinerary itinerary)
	{
		fItinerary = (FixedItinerary)itinerary; 
		super.deploy(tState, startingPoint, itinerary);
	}
	public float getBid(TrafficSim ts)
	{
		int rem = fItinerary.remainingSegments();
		return wealth/(rem+1);//+1 cause the car reads a segment in advance when it gets in sensor range
	}

}
