package sim.app.traffic.grid;
import java.awt.*;
import sim.app.traffic.*;
/**
 * This works with <code>GridNode</code> objects.
 * This is based on <code>RectanglePortrayal2D</code>, which is way faster than the default Oval...
 * 
 * @author Gabriel Balan
 */
public class GridNodeCrossingOpportunitiesPortrayal2D extends GridNodePortrayal2D
{
	public GridNodeCrossingOpportunitiesPortrayal2D(){super();}
	public GridNodeCrossingOpportunitiesPortrayal2D(Paint paint){super(paint);}
	public GridNodeCrossingOpportunitiesPortrayal2D(double scale){super(scale);}
	public GridNodeCrossingOpportunitiesPortrayal2D(Paint paint, double scale){super(paint, scale);}
	protected String getQueueStatText(TrafficQueue q)
	{ 
		return q.getCrossingOpportunities()+"";
	}
}
