package sim.app.traffic.grid;
import java.awt.*;
import java.text.*;
import sim.app.traffic.*;
/**
 * This works with <code>GridNode</code> objects.
 * This is based on <code>RectanglePortrayal2D</code>, which is way faster than the default Oval...
 * 
 * @author Gabriel Balan
 */
public class GridNodeWealthsPortrayal2D extends GridNodePortrayal2D
{
	static final DecimalFormat format = new DecimalFormat("###.#");
	public GridNodeWealthsPortrayal2D(){super();}
	public GridNodeWealthsPortrayal2D(Paint paint){super(paint);}
	public GridNodeWealthsPortrayal2D(double scale){super(scale);}
	public GridNodeWealthsPortrayal2D(Paint paint, double scale){super(paint, scale);}
	protected String getQueueStatText(TrafficQueue q){ return format.format(q.currentWealth)+"";}                
}
