package sim.app.traffic.info;
import sim.app.traffic.*;
import sim.portrayal.network.*;
import sim.field.network.*;

/**
 * This includes the 'from' and 'to' intersection indices in the label
 * 
 * @author Gabriel Balan
 */
public class TopologySegmentPortrayal2D extends SegmentPortrayal2D
{
	public TopologySegmentPortrayal2D(boolean label, boolean rightSideOfRoad){super(label, rightSideOfRoad);}


	public String getLabel(Edge edge, EdgeDrawInfo2D info)
	{
		String infoString =edge.info.toString();
		return ((Intersection)edge.from()).ioi.index+"->"+((Intersection)edge.to()).ioi.index+" "+infoString;
	}
}
