package sim.app.traffic.queuewealth;

import ec.util.Parameter;
import sim.app.traffic.TrafficSim;
import sim.util.ParamSimState;

/**
 * 
 * returns cars' initial wealth (average wealth for the zero-sum protocols)
 *  if the queue had green last time and 0 if not.
 * 
 * @author Gabriel Balan
 */
public class OneCarInitialWealthWhenGreenLastTime extends LastPhaseColorSubsidy 
{
	public void setup(ParamSimState state, Parameter base)
	{
		greenAid = ((TrafficSim)state).initialWealth;
		redAid = 0; 
	}	
}
