package sim.app.traffic.rotation;
import sim.app.traffic.*;
/**
 *	It decides what group of queues gets the next green.
 *	Each intersection has it's own RotationPolicy. 
 *  Hypothetically, one could have heterogeneous intersections. 
 * @author Gabriel Balan
 */
public interface RotationPolicy {
	int getWinningGroupIndex(TrafficSim simState, Intersection i);
}
